m-tx (0.61.ctan20151217-1) unstable; urgency=medium

  * Imported Upstream version 0.61.ctan20151217
  * update rules file for new release
  * update patches

 -- Norbert Preining <preining@debian.org>  Thu, 17 Dec 2015 18:26:23 +0900

m-tx (0.60d.ctan20131224-1) unstable; urgency=medium

  * Imported Upstream version 0.60d.ctan20131224
    - fixed m-tx.lua script (Closes: #767434)

 -- Norbert Preining <preining@debian.org>  Fri, 31 Oct 2014 10:22:26 +0900

m-tx (0.60d.ctan20131214-2) unstable; urgency=medium

  * fix mismatch of prototypes of predelete (Closes: #749782)
  * bump standards version, no changes necessary
  * replace luatex with texlive-binaries

 -- Norbert Preining <preining@debian.org>  Tue, 21 Oct 2014 09:20:26 +0900

m-tx (0.60d.ctan20131214-1) unstable; urgency=low

  * Imported Upstream version 0.60d.ctan20131214
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 14 Dec 2013 21:48:40 +0900

m-tx (0.60d.ctan20130123-2) unstable; urgency=low

  * ACK NMU 0.60d-5.1, incorporate the changes into the git repo
    (Closes: #706144). Thanks Peter.

 -- Norbert Preining <preining@debian.org>  Mon, 06 May 2013 08:07:54 +0900

m-tx (0.60d-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set architecture list to any so the package builds on all architectures
    where the build-depends are available.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 05 May 2013 01:54:02 +0000

m-tx (0.60d.ctan20130123-1) experimental; urgency=low

  * New upstream version based on CTAN upload
  * changed maintainer to the Debian TeX Maintainer mailing list with
    agreement of the current maintainer Roland, and put Roland and
    myself in Uploaders field
  * adapt debian/rules file to new layout, add get-orig-source script
  * use dh_installtex instead of handwritten postinst

 -- Norbert Preining <preining@debian.org>  Wed, 23 Jan 2013 13:35:44 +0900

m-tx (0.60d-5) unstable; urgency=low

  * Fix postinst script to adjust to new texmf path (Closes: #666678)

 -- Roland Stigge <stigge@antcom.de>  Sun, 01 Apr 2012 10:58:36 +0200

m-tx (0.60d-4) unstable; urgency=low

  * Added texlive-latex-extra to Build-Depends, a4wide.sty moved there from
    texlive-latex-base (Closes: #666317)

 -- Roland Stigge <stigge@antcom.de>  Fri, 30 Mar 2012 15:47:16 +0200

m-tx (0.60d-3) unstable; urgency=low

  * src/notes.pas: {$V-} for Free Pascal 2.6.0 to comile matching of different
    string types (Closes: #661809)
  * debian/control: Standards-Version: 3.9.3
  * debian/rules: dh style
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Thu, 01 Mar 2012 18:38:58 +0100

m-tx (0.60d-2) unstable; urgency=low

  * Documentation fixes to solve FTBFS due to new PMX (Closes: #625165)

 -- Roland Stigge <stigge@antcom.de>  Mon, 02 May 2011 22:35:07 +0200

m-tx (0.60d-1) unstable; urgency=low

  * New upstream release
  * Rewrote Description (Closes: #566520)
  * Moved to source format 3.0 (quilt)
  * debian/control:
    - Standards-Version: 3.8.4
    - Depends: debhelper (>=7), debian/compat: 7
  * Added mtxlatex.sty to /usr/share/texmf/tex/latex/misc and fixed
    documentation accordingly (Closes: #517686)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Jun 2010 17:22:14 +0200

m-tx (0.60c-2) unstable; urgency=low

  * Depend: texlive-base to provide mktexupd (Closes: #574233)

 -- Roland Stigge <stigge@antcom.de>  Wed, 17 Mar 2010 21:09:53 +0100

m-tx (0.60c-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Updated to version 3 syntax (Closes: #453582)
  * debian/control:
    - Switched from p2c+gcc to fp-compiler due to upstream incompatibility,
      unfortunately reduces architectures to i386 powerpc sparc amd64 arm
      and doesn't support shared library linking
    - Standards-Version: 3.7.3
  * doc/meter.mtx: Bugfix from mailing list, fixes doc compilation

 -- Roland Stigge <stigge@antcom.de>  Sun, 09 Mar 2008 15:02:01 +0100

m-tx (0.60-8) unstable; urgency=low

  * debian/control: Build-Depends: texlive-fonts-recommended
    (Closes: #451454)

 -- Roland Stigge <stigge@antcom.de>  Fri, 16 Nov 2007 09:11:41 +0100

m-tx (0.60-7) unstable; urgency=low

  * debian/control: Build-Depends: texlive-latex-recommended
    (Closes: #445767)

 -- Roland Stigge <stigge@antcom.de>  Mon, 08 Oct 2007 12:03:17 +0200

m-tx (0.60-6) unstable; urgency=low

  * debian/control: Removed tetex* from dependencies (Closes: #430441)

 -- Roland Stigge <stigge@antcom.de>  Tue, 02 Oct 2007 22:57:58 +0200

m-tx (0.60-5) unstable; urgency=low

  [ Norbert Preining ]
  * add alternative dependency on texlive
  * add me to Uploaders

  [ Roland Stigge ]
  * debian/control: Standards-Version: 3.7.2

 -- Roland Stigge <stigge@antcom.de>  Sun,  7 May 2006 00:02:50 +0200

m-tx (0.60-4) unstable; urgency=low

  * Updated debian/copyright, thanks to Nis Martensen (Closes: #352237)

 -- Roland Stigge <stigge@antcom.de>  Tue, 18 Apr 2006 15:14:35 +0200

m-tx (0.60-3) unstable; urgency=low

  * debian/prepmx.1: Manpage update by Nis Martensen
  * debian/rules, doc/Makefile: Cleaned up /usr/share/doc/m-tx/mtxdoc
    (Closes: #326204)
  * Updated doc/mtx.tex to be link to ../src/mtx.tex
  * debian/compat: Debhelper compatibility level: 4

 -- Roland Stigge <stigge@antcom.de>  Sat,  3 Sep 2005 10:12:07 +0200

m-tx (0.60-2) unstable; urgency=low

  * debian/control: Really added tetex-bin to Depends (Closes: #323248)

 -- Roland Stigge <stigge@antcom.de>  Tue, 16 Aug 2005 22:33:03 +0200

m-tx (0.60-1) unstable; urgency=low

  * New upstream release
  * debian/control: Added tetex-bin to Depends (Closes: #323248)

 -- Roland Stigge <stigge@antcom.de>  Tue, 16 Aug 2005 21:18:30 +0200

m-tx (0.55c-2) unstable; urgency=low

  * Added mtx.tex to /usr/share/texmf/tex/musixtex/m-tx, thanks to
    Nis Martensen (Closes: #316165)
  * debian/control: Standards-Version: 3.6.2.0

 -- Roland Stigge <stigge@antcom.de>  Wed,  3 Aug 2005 19:48:55 +0200

m-tx (0.55c-1) unstable; urgency=low

  * New upstream release (Closes: #297094)
  * Changed build environment to p2c+cc for using native Pascal sources,
    adjusted Build-Depends (fp-compiler can be used as soon as fpc provides
    linkage against libc for interoperability with different kernels)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Feb 2005 11:52:39 +0100

m-tx (0.52-5) unstable; urgency=low

  * Updated man page, thanks to Nis Martensen <nis.martensen@web.de>
  * Updated Standards-Version: 3.6.0 -> 3.6.1

 -- Roland Stigge <stigge@antcom.de>  Fri, 18 Feb 2005 21:20:21 +0100

m-tx (0.52-4) unstable; urgency=low

  * New maintainer
      Date: Wed, 6 Aug 2003 19:28:18 +0800
      From: Anthony Fok <foka@debian.org>
      To: Roland Stigge <stigge@antcom.de>
      Subject: Re: Roland Stigge (fwd)
  
      Hello Roland,

      The MusiXTeX family of packages are yours.  You may become the official
      maintainer for these Debian packages (musixtex, pmx, m-tx, musixlyr),
      effective now. [...]
    (Closes: #84278, #85466)
  * Standards-Version: 3.6.0

 -- Roland Stigge <stigge@antcom.de>  Wed,  6 Aug 2003 14:28:27 +0200

m-tx (0.52-3.1) unstable; urgency=low

  * NMU
      Date: 15 Jun 2003 20:39:37 +0800
      From: Anthony Fok <foka@debian.org>
      To: Roland Stigge <stigge@antcom.de>
      Subject: Re: MusiXTeX

      [...]
      I do welcome NMUs.
      [...]
  * Standards-Version: 3.5.10
  * debian/control: Changed Section: from contrib/tex to tex due to
    musixtex move from non-free to main; adjusted author's address
  * Wrote man page for prepmx (Closes: #84278)
  * Fixed rest placement problem for placement +/- 10, thanks to
    Garrick James <garrick@nebula.dsl.speakeasy.net> (Closes: #85466)

 -- Roland Stigge <stigge@antcom.de>  Sat, 21 Jun 2003 11:24:56 +0200

m-tx (0.52-3) unstable; urgency=low

  * [debian/control]: Standards-Version: 3.1.1; added Build-Depends;
      updated package dependencies to the FHS-compliant versions.
  * [debian/rules]: s#usr/doc#usr/share/doc#g;

 -- Anthony Fok <foka@debian.org>  Sat, 10 Jun 2000 04:58:52 -0600

m-tx (0.52-2) unstable; urgency=low

  * Removed obsolete postinst.
  * [debian/control]: Updated dependency to the latest FHS-compliant
      teTeX and related music packages.

 -- Anthony Fok <foka@debian.org>  Mon,  5 Apr 1999 23:30:09 -0600

m-tx (0.52-1) unstable; urgency=low

  * New upstream release.

 -- Anthony Fok <foka@debian.org>  Wed,  2 Dec 1998 23:30:39 -0700

m-tx (0.50a-2) frozen unstable; urgency=low

  * [debian/control]:
      - Upgraded to standards version 2.5.0.0 (no changes).
      - No longer depends on tetex-base explicitly.  m-tx has no
        {pre,post}{inst,rm} scripts that require teTeX's present.  :-)
  * [debian/rules]: In the latest tetex-base package, /usr/lib/texmf/doc
      is now a symlink to /usr/doc/texmf.  Therefore, we now install
      m-tx's documentation into /usr/doc/texmf/musixtex/m-tx.
      Thanks to Julian Gilbey <jdg@maths.qmw.ac.uk> for the bug report.
      (closes: Bug#29328)
  * [debian/postinst]: (New file) I copied a few lines from
      tetex-nonfree's postinst to remove the old directory
      /usr/lib/texmf/doc if m-tx is the last package using that directory,
      and create a symlink to /usr/doc/texmf.  :-)

 -- Anthony Fok <foka@debian.org>  Wed, 11 Nov 1998 22:17:23 -0700

m-tx (0.50a-1) unstable; urgency=low

  * New upstream release.
  * Added mtxdoc.ps.gz downloaded from ftp.gmd.de.
  * Updated debian/rules according to the example rules file given
    in the new debhelper package.
  * Updated FSF's mailing address in /usr/doc/m-tx/README.gz.

 -- Anthony Fok <foka@debian.org>  Thu, 15 Oct 1998 05:12:01 -0600

m-tx (0.40a-2) unstable; urgency=low

  * [debian/control]: Now Recommends musixlyr (>= 1.10-1)
      instead of (>= 1:1.1-1).  Thanks to Brian White <bcwhite@debian.org>
      for letting me know how to avoid the epoch.  :-)
  * Changed _tolower(s) to tolower(s) in prepmx/p2c/globals.c to
    accommodate for DJGPP, as suggested by upstream author on the
    MuTeX Mailing List.

 -- Anthony Fok <foka@debian.org>  Thu, 18 Jun 1998 17:22:38 -0600

m-tx (0.40a-1) unstable; urgency=low

  * New upstream release.
  * [debian/control]: Updated Recommends: musixtex (>= 1:0.89-2),
      musixlyr (>= 1:1.1-1), pmx (>= 1.3.8-1)
  * Removed postinst, because it should now be musixlyr's postinst,
    not m-tx's!  Now, how did I get the two mixed up?  :-)

 -- Anthony Fok <foka@debian.org>  Tue, 16 Jun 1998 01:14:26 -0600

m-tx (0.30a-3) frozen unstable; urgency=low

  * debian/rules:
     - m-tx now also depends on tetex-base (>= 0.9-5)
       and conflicts with tetex-base (<< 0.9).
     - Removed dh_du.  (Fixed Lintian error: unknown-control-file du)
  * Modified postinst and postrm to work with teTeX 0.9 / Web2C 7.2.
  * debian/control: Upgraded to standards version 2.4.1.0 (no changes).

 -- Anthony Fok <foka@debian.org>  Mon, 11 May 1998 05:16:24 -0600

m-tx (0.30a-2) unstable; urgency=low

  * Added patch to prepmx/p2c/cfuncs.c posted by the author on the
    MuTeX mailing list.

 -- Anthony Fok <foka@debian.org>  Fri, 16 Jan 1998 03:46:56 -0700

m-tx (0.30a-1) unstable; urgency=low

  * New upstream release:
     - There are no new features, only a few bug corrections
       and improved error messages.
     - A description of the changes may be found in
       /usr/doc/m-tx/README.030a.  
  * Fixed debian/copyright: M-Tx's copyright belongs to its author,
    Dirk Laurie, not the Free Software Foundation.  (Oops!  :)
  * Took the new musixlyr.tex (1.02a, new unofficial patch from Sebastian
    added by Dirk) and put it into the new Debian musixlyr-1.02a package.

 -- Anthony Fok <foka@debian.org>  Tue,  2 Dec 1997 02:37:17 -0700

m-tx (0.30-1) unstable; urgency=low

  * New upstream release
  * Added author's name and fixed FSF's mailing address in the copyright file.
  * Modified debian/rules to use debhelper.
  * Updated to Standards-Version: 2.3.0.1
  * Changed my maintainer e-mail address to <foka@debian.org>.  :)

 -- Anthony Fok <foka@debian.org>  Sun, 23 Nov 1997 08:32:26 -0700

m-tx (0.24-1) unstable; urgency=low

  * Initial Release.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Mon, 11 Aug 1997 00:44:08 -0600

Local variables:
mode: debian-changelog
End:
